Subject: [Gen-art] Gen-ART review of draft-ietf-l2vpn-pbb-evpn-09

From: Christer Holmberg <[email-masked]>
Date: Thu, 5 Feb 2015 14:43:32 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-l2vpn-pbb-evpn-09.txt

Reviewer:                           Christer Holmberg

Review Date:                     5 February 2015

IETF LC End Date:             26 January 2015

IETF Telechat Date:         5 February 2015

Summary:                         The document is well written, and almost ready for publication. However, there are some editorial nits and questions that I'd like to authors to address.

Major Issues: None

Minor Issues: None

Editorial nits:

General:

              QGEN_1:            I don't see the "PE" abbreviation extended anywhere. Is it a well-known abbreviation, or should it be extended on first occurrence (or explained in the Terminology section)?

--------------

Section 4:

              Q4_1:    I suggest to re-write the sentence to something like:

                             "The requirements for PBB-EVPN consist of all EVPN
                             requirements [RFC7209], and the additional requirements
                             described in this section."

              Q4_2:    The section name says "BGP MPLS Based EVPN Overview".

                             However, the first sentence then says "This section provides an overview of EVPN.".

                             So, is the section about BGP MPLS Based EVPN, or about EVPN in general? Based on the answer, I suggest to align the section name and the first sentence.

--------------

Section 4.1:

              Q4-1_1: I guess "[EVPN] PE" shall be "EVPN PE", i.e. not a reference.

                             "In typical operation, an [EVPN] PE sends..."

                             ...should be:

                             "In typical operation, an EVPN PE sends..."

              Q4-1_2: Should there be a reference (or, explanation in the Terminology section) for "data center interconnect (DCI)"?

--------------

Section 4.2:

              Q4-2_1: The text says "Certain applications, such as virtual machine mobility,...."

              Is virtual machine mobility considered an application?

              Would it be more appropriate to say "such as those providing virtual machine mobility", or "such as those using virtual machine mobility"?

--------------

Section 5:

              Q5_1: I suggest to modify "The solution involves..." to "The PBB-EVPN solution involves..."

              Q5_2: I guess there should be a new line after "The PE nodes perform the following functions:", before the first bullet.

--------------

Section 7:

              Q7_1: I suggest to replace the "[EVPN]" reference with "EVPN".

--------------

Section 8:

              Q8_1: Is ARP a well-known abbreviation, or should it be extended on first occurrence?

              Q8_2: Is a reference needed for ARP/ARP-proxy?

--------------

Section 10:

              Q10_1: The text says:

"In this section, we discuss the advantages of the PBB-EVPN solution
              in the context of the requirements set forth in section 3 above."

              I don't think section 3 is "above", because there are quite many chapters in between :)

Q10_2: Related to the previous comment, shouldn't this section be located earlier in the document? If not, I think it would be good to reference to section 10 e.g. in the Introduction section.

--------------

Regards,

Christer